BoltCircle Class |
The BoltCircle class defines a bolt group with a circle shape.
Inheritance Hierarchy
SystemObject
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelBoltGroup
Tekla.Structures.ModelBoltCircle
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelBoltGroup
Tekla.Structures.ModelBoltCircle
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The BoltCircle type exposes the following members.
Constructors
Name | Description | |
---|---|---|
BoltCircle |
Creates a new bolt circle instance.
|
Properties
Name | Description | |
---|---|---|
BlindHoleDepth |
Gets or sets the blind hole depth.
(Inherited from BoltGroup.) | |
Bolt |
Indicates whether the instance is a bolt or just a hole.
(Inherited from BoltGroup.) | |
BoltHolesAttributes |
The bolt holes attributes.
(Inherited from BoltGroup.) | |
BoltPositions |
Gets the single bolt positions.
All the bolt positions are in the XY-plane defined by the bolt group coordinate
system. The given positions are in relation to the transformation plane
in which the bolt group was selected.
(Inherited from BoltGroup.) | |
BoltSize |
The size of the bolts in the group.
(Inherited from BoltGroup.) | |
BoltStandard |
The standard of the bolt group.
(Inherited from BoltGroup.) | |
BoltType |
The type of the bolt group.
(Inherited from BoltGroup.) | |
ConnectAssemblies | Defines whether to connect a part or an assembly as a secondary part (false) or as a sub-assembly (true). (Inherited from BoltGroup.) | |
CutLength |
The cut length.
(Inherited from BoltGroup.) | |
Diameter |
The diameter of the circle.
| |
EndPointOffset |
The end point offset values of the bolt group.
(Inherited from BoltGroup.) | |
ExtraLength |
The extra length for the bolts.
(Inherited from BoltGroup.) | |
FirstPosition |
The first position point.
(Inherited from BoltGroup.) | |
Hole1 |
Indicates whether the hole 1 is used.
(Inherited from BoltGroup.) | |
Hole2 |
Indicates whether the hole 2 is used.
(Inherited from BoltGroup.) | |
Hole3 |
Indicates whether the hole 3 is used.
(Inherited from BoltGroup.) | |
Hole4 |
Indicates whether the hole 4 is used.
(Inherited from BoltGroup.) | |
Hole5 |
Indicates whether the hole 5 is used.
(Inherited from BoltGroup.) | |
HoleType |
The special hole type: oversized, slotted, blind or no hole.
(Inherited from BoltGroup.) | |
Identifier |
The identifier of the object.
(Inherited from Object.) | |
IsUpToDate | Gets if the object does not have a modification which is not shared. (Inherited from ModelObject.) | |
Length |
The length. An extra variable that is only set when the bolt group is made of studs instead of bolts.
(Inherited from BoltGroup.) | |
ModificationTime | Gets latest time of the object was modified or created. (Inherited from ModelObject.) | |
NumberOfBolts |
The number of bolts in the circle.
| |
Nut1 |
Indicates whether the nut 1 is used in the assembly.
(Inherited from BoltGroup.) | |
Nut2 |
Indicates whether the nut 2 is used in the assembly.
(Inherited from BoltGroup.) | |
OtherPartsToBolt |
The other parts to be bolted (read-only).
(Inherited from BoltGroup.) | |
PartToBeBolted |
The part to be bolted.
(Inherited from BoltGroup.) | |
PartToBoltTo |
The part to bolt to.
(Inherited from BoltGroup.) | |
PlainHoleType |
Gets or sets the plain hole type.
(Inherited from BoltGroup.) | |
Position |
The position attributes.
(Inherited from BoltGroup.) | |
RotateSlots |
Gets or sets the rotation of the slots: odd, even or parallel.
(Inherited from BoltGroup.) | |
SecondPosition |
The second position point.
(Inherited from BoltGroup.) | |
SlotOffsetX |
Gets or sets the slotted hole offset X.
(Inherited from BoltGroup.) | |
SlotOffsetY |
Gets or sets the slotted hole offset Y.
(Inherited from BoltGroup.) | |
SlottedHoleX |
Gets or sets the X allowance of the slotted hole.
(Inherited from BoltGroup.) | |
SlottedHoleY |
Gets or sets the Y allowance of the slotted hole.
(Inherited from BoltGroup.) | |
StartPointOffset |
The start point offset values of the bolt group.
(Inherited from BoltGroup.) | |
ThreadInMaterial |
Whether the thread goes inside the materal or not.
(Inherited from BoltGroup.) | |
Tolerance |
The hole tolerance.
(Inherited from BoltGroup.) | |
Washer1 |
Indicates whether the washer 1 is used in the assembly.
(Inherited from BoltGroup.) | |
Washer2 |
Indicates whether the washer 2 is used in the assembly.
(Inherited from BoltGroup.) | |
Washer3 |
Indicates whether the washer 3 is used in the assembly.
(Inherited from BoltGroup.) |
Methods
Name | Description | |
---|---|---|
AddOtherPartToBolt |
Adds the given part to the list of the other parts that should be bolted.
(Inherited from BoltGroup.) | |
CompareTo |
Compares Identifiers of model objects.
(Inherited from ModelObject.) | |
Delete |
Deletes the bolt circle instance with the given ID from the model database.
(Overrides ModelObjectDelete.) | |
Equals |
Check if Identifiers of model objects are same.
(Inherited from ModelObject.) | |
GetAllReportProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) | |
GetAllUserProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) | |
GetChildren |
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.) | |
GetCoordinateSystem |
Returns the coordinate system for the given model object.
(Inherited from ModelObject.) | |
GetDoubleReportProperties |
Retrieves multiple double report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetDoubleUserProperties |
Retrieves all double properties for the model object.
(Inherited from ModelObject.) | |
GetDynamicStringProperty |
Gets a dynamic string property from the model object.
(Inherited from ModelObject.) | |
GetFatherComponent |
Returns the father component of the model object.
(Inherited from ModelObject.) | |
GetFatherPour |
Returns the pour that the bolt group is associated to.
(Inherited from BoltGroup.) | |
GetFatherPourUnit |
Returns the pour unit that the bolt group is associated to.
(Inherited from BoltGroup.) | |
GetHierarchicObjects |
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.) | |
GetIntegerReportProperties |
Retrieves multiple integer report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetIntegerUserProperties |
Retrieves all integer properties for the model object.
(Inherited from ModelObject.) | |
GetOtherPartsToBolt |
Returns an array list containing all the other parts that are bolted.
(Inherited from BoltGroup.) | |
GetPhase |
Retrieves the phase of the model object (the phase number, the phase name,
the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.) | |
GetReportProperty(String, Double) |
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.) | |
GetReportProperty(String, Int32) |
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.) | |
GetReportProperty(String, String) |
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.) | |
GetSolid |
Method for getting the solid information of the bolt group.
(Inherited from BoltGroup.) | |
GetSolid(Boolean) |
Method for getting the solid information of the bolt group.
(Inherited from BoltGroup.) | |
GetStringReportProperties |
Retrieves multiple string report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetStringUserProperties |
Retrieves all string properties for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, Double) |
Retrieves a double property for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, Int32) |
Retrieves an integer property for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, String) |
Retrieves a string property for the model object.
(Inherited from ModelObject.) | |
Insert |
Inserts the bolt circle into the model database. All the attributes must be set.
(Overrides ModelObjectInsert.) | |
Modify |
Modifies the existing bolt circle in the model database to match the current one.
(Overrides ModelObjectModify.)Note, the IDs of Part To Bolt To, Part To Be Bolted and OtherParts cannot be modified. | |
RemoveOtherPartToBolt |
Removes the given part from the list of the other bolted parts.
(Inherited from BoltGroup.) | |
Select |
Selects a bolt circle from the model database. The ID must be set.
(Overrides ModelObjectSelect.) | |
SetDynamicStringProperty |
Sets a dynamic string property for the model object.
(Inherited from ModelObject.) | |
SetLabel |
Sets a label for an object when a new instance is created, this method must be called before Insert.
The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.) | |
SetPhase |
Sets the phase of the model object.
(Inherited from ModelObject.) | |
SetUserProperties |
Sets multiple properties for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, Double) |
Sets a double property for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, Int32) |
Sets an integer property for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, String) |
Sets a string property for the model object.
(Inherited from ModelObject.) |
Examples
using Tekla.Structures.Model; using Tekla.Structures.Geometry3d; using System; public class Example { public void Example1() { ContourPlate cp = new ContourPlate(); cp.Profile.ProfileString = "PL20"; cp.AddContourPoint(new ContourPoint(new Point( 9000, 6000, 0),null)); cp.AddContourPoint(new ContourPoint(new Point(12000, 6000, 0),null)); cp.AddContourPoint(new ContourPoint(new Point(12000, 12000, 0),null)); cp.AddContourPoint(new ContourPoint(new Point( 9000, 12000, 0),null)); if (!cp.Insert()) Console.WriteLine("ContourPlate Insert failed!"); BoltCircle B = new BoltCircle(); B.PartToBeBolted = cp; B.PartToBoltTo = cp; B.FirstPosition = new Point( 9200, 6200, 0); B.SecondPosition = new Point(12000, 12000, 0); B.BoltSize = 16; B.Tolerance = 3.00; B.BoltStandard = "7968"; B.BoltType = BoltGroup.BoltTypeEnum.BOLT_TYPE_WORKSHOP; B.CutLength = 105; B.Length = 100; B.ExtraLength = 15; B.ThreadInMaterial = BoltGroup.BoltThreadInMaterialEnum.THREAD_IN_MATERIAL_NO; B.Position.Depth = Position.DepthEnum.MIDDLE; B.Position.Plane = Position.PlaneEnum.MIDDLE; B.Position.Rotation = Position.RotationEnum.FRONT; B.Bolt = true; B.Washer1 = true; B.Washer2 = true; B.Washer3 = true; B.Nut1 = true; B.Nut2 = true; B.Hole1 = true; B.Hole2 = true; B.Hole3 = true; B.Hole4 = true; B.Hole5 = true; B.NumberOfBolts = 7; B.Diameter = 160; if (!B.Insert()) Console.WriteLine("BoltCircle Insert failed!"); } }
See Also